Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.aglets.tahiti
Class TahitiDaemon

    java.lang.Object
      |
      +--com.ibm.aglets.tahiti.TahitiDaemon

All Implemented Interfaces:
  ContextListener, java.util.EventListener, java.lang.Runnable

public final class TahitiDaemon
extends java.lang.Object
implements ContextListener, java.lang.Runnable

`Daemon` is a simple non-UI interface to an aglet server. TahitiDaemon implements a Tahiti service which listens on a configurable control port for commands. The TahitiDaemonClient class is used to communicate with and control a TahitiDaemon.

Version:
  $Revision: 1.2 $ $Date: 2001/08/01 03:46:59 $ $Author: kbd4hire $
Author:
  Lary Spector
See Also:
  `ContextListener`, `ContextEvent`

Constructor Summary
`TahitiDaemon()`

Method Summary
`void` | `agletActivated(ContextEvent event)` Called when an aglet has been activated
`void` | `agletArrived(ContextEvent event)` Called when an aglet has arived
`void` | `agletCloned(ContextEvent event)` Called when an aglet has been cloned
`void` | `agletCreated(ContextEvent event)` Called when an aglet has been created
`void` | `agletDeactivated(ContextEvent event)` Called when an aglet has been deactivated
`void` | `agletDispatched(ContextEvent event)` Called when an aglet has been dispatched
`void` | `agletDisposed(ContextEvent event)` Called when an aglet has been disposed
`void` | `agletResumed(ContextEvent event)` Called when an aglet has been resumed
`void` | `agletReverted(ContextEvent event)` Called when an aglet has been reverted
`void` | `agletStateChanged(ContextEvent event)` Called when an aglet has been updated
`void` | `agletSuspended(ContextEvent event)` Called when an aglet has been suspended
`void` | `contextShutdown(ContextEvent ev)` Description of the Method
`void` | `contextStarted(ContextEvent ev)` Initializes the Viewer with the context.
`static UserManager` | `getUserManager()` Gets the UserManager attribute of the TahitiDaemon class
`void` | `run()` Infinite loop to process inputs
`void` | `showDocument(ContextEvent event)` Called when an aglet request to show the document given as URL
`void` | `showMessage(ContextEvent event)` Called to show the message

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TahitiDaemon

    public TahitiDaemon()

Method Detail

### agletActivated

    public void agletActivated(ContextEvent event)

  Called when an aglet has been activated
  Specified by:
    `agletActivated` in interface `ContextListener`
  Parameters:
    `event` - an ContextEvent
  Since:

### agletArrived

    public void agletArrived(ContextEvent event)

  Called when an aglet has arived
  Specified by:
    `agletArrived` in interface `ContextListener`
  Parameters:
    `event` - an ContextEvent
  Since:

### agletCloned

    public void agletCloned(ContextEvent event)

  Called when an aglet has been cloned
  Specified by:
    `agletCloned` in interface `ContextListener`
  Parameters:
    `event` - an ContextEvent
  Since:

### agletCreated

    public void agletCreated(ContextEvent event)

  Called when an aglet has been created
  Specified by:
    `agletCreated` in interface `ContextListener`
  Parameters:
    `event` - an AgletEvent
  Since:

### agletDeactivated

    public void agletDeactivated(ContextEvent event)

  Called when an aglet has been deactivated
  Specified by:
    `agletDeactivated` in interface `ContextListener`
  Parameters:
    `event` - an ContextEvent
  Since:

### agletDispatched

    public void agletDispatched(ContextEvent event)

  Called when an aglet has been dispatched
  Specified by:
    `agletDispatched` in interface `ContextListener`
  Parameters:
    `event` - an ContextEvent
  Since:

### agletDisposed

    public void agletDisposed(ContextEvent event)

  Called when an aglet has been disposed
  Specified by:
    `agletDisposed` in interface `ContextListener`
  Parameters:
    `event` - an ContextEvent
  Since:

### agletResumed

    public void agletResumed(ContextEvent event)

  Called when an aglet has been resumed
  Specified by:
    `agletResumed` in interface `ContextListener`
  Parameters:
    `event` - an ContextEvent
  Since:

### agletReverted

    public void agletReverted(ContextEvent event)

  Called when an aglet has been reverted
  Specified by:
    `agletReverted` in interface `ContextListener`
  Parameters:
    `event` - an ContextEvent
  Since:

### agletStateChanged

    public void agletStateChanged(ContextEvent event)

  Called when an aglet has been updated
  Specified by:
    `agletStateChanged` in interface `ContextListener`
  Parameters:
    `event` - an ContextEvent
  Since:

### agletSuspended

    public void agletSuspended(ContextEvent event)

  Called when an aglet has been suspended
  Specified by:
    `agletSuspended` in interface `ContextListener`
  Parameters:
    `event` - an ContextEvent
  Since:

### contextShutdown

    public void contextShutdown(ContextEvent ev)

  Description of the Method
  Specified by:
    `contextShutdown` in interface `ContextListener`
  Parameters:
    `ev` - Description of Parameter
  Since:

### contextStarted

    public void contextStarted(ContextEvent ev)

  Initializes the Viewer with the context.
  Specified by:
    `contextStarted` in interface `ContextListener`
  Parameters:
    `ev` - Description of Parameter
  Since:

### run

    public void run()

  Infinite loop to process inputs
  Specified by:
    `run` in interface `java.lang.Runnable`
  Since:

### showDocument

    public void showDocument(ContextEvent event)

  Called when an aglet request to show the document given as URL
  Specified by:
    `showDocument` in interface `ContextListener`
  Parameters:
    `event` - an ContextEvent
  Since:
  See Also:
    `Aglet#showDocument`

### showMessage

    public void showMessage(ContextEvent event)

  Called to show the message
  Specified by:
    `showMessage` in interface `ContextListener`
  Parameters:
    `event` - an ContextEvent
  Since:

### getUserManager

    public static final UserManager getUserManager()

  Gets the UserManager attribute of the TahitiDaemon class
  Returns:
    The UserManager value
  Since:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD